{ ... }:

{
  services.picom = {
    enable = true;
    settings = {
      backend = "glx"; # Fixes black backdrop on some rounded corners
      corner-radius = 12;
      round-borders = 1;
      blur = {
        method = "gaussian";
        size = 8;
        deviation = 2;
      };
      # Ignore polybar
      rounded-corners-exclude = [
        "window_type = 'dock'"
        "window_type = 'desktop'"
      ];
      opacity-rule = [
        "0:_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'"
        "75:class_g *?= 'Rofi'"
      ];
    };
  };
}
